Bug 662340 - Review Request: olsrd - adhoc wireless mesh routing daemon
Review Request: olsrd - adhoc wireless mesh routing daemon
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-11 15:31 EST by James Valleroy
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 08:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Valleroy 2010-12-11 15:31:35 EST
Spec URL: http://www.sendspace.com/file/i699xn
SRPM URL: http://www.sendspace.com/file/7f5nbm
Description: The olsr.org OLSR daemon is an implementation of the Optimized Link State Routing protocol. As such it allows mesh routing for any network equipment. It runs on any wifi card that supports ad-hoc mode and of course on any ethernet device. OLSR is next to AODV one of the main two internet standards for mesh networks. It is widely used and well tested.

This is my first package, so I will need a sponsor.
Comment 1 Fabian Affolter 2011-01-04 09:34:12 EST
Just some quick comments:

- All README files and useful documentation should be mentioned in %doc 
- Preserve the timestamps when possible (https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps)
- Please have a look at https://fedoraproject.org/wiki/Packaging/SysVInitScript
Comment 2 Fabian Affolter 2011-03-14 06:07:44 EDT
Any updates?
Comment 3 James Valleroy 2011-03-16 21:45:55 EDT
(In reply to comment #2)
> Any updates?

Sorry for taking so long to respond.  It took me a long while to figure out initscripts.

New Spec URL: http://compcube.dyndns-server.com/olsrd.spec
New SRPM URL: http://compcube.dyndns-server.com/olsrd-0.6.1-1.fc14.src.rpm

This one is based on a specfile provided in the upstream release, but I have attempted to bring it up to Fedora standards.  Let me know what you think.
Comment 4 Michael Scherer 2011-10-16 13:30:53 EDT
The url no longer work :
 $ LC_ALL=C wget http://compcube.dyndns-server.com/olsrd-0.6.1-1.fc14.src.rpm
--2011-10-16 19:29:58--  http://compcube.dyndns-server.com/olsrd-0.6.1-1.fc14.src.rpm
Resolving compcube.dyndns-server.com... 192.168.100.10
Connecting to compcube.dyndns-server.com|192.168.100.10|:80... ^
Comment 5 Till Maas 2011-11-19 15:12:26 EST
The URL does still not work. James, please remove StalledSubmitter from the whiteboard once you responded.

Note You need to log in before you can comment on or make changes to this bug.